View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17495Bug reportsQuestion editorpublic2021-09-22 13:59
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynormalSeveritycrash 
Status resolvedResolutionfixed 
Product Version5.x 
Summary17495: Error when importing a question fails
DescriptionI wanted to import an Italian language question into a survey that did not have Italian language and a crash occurred
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)5.0
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMysql
Server OS (if known)
Webserver software & version (if known)
PHP VersionPHP

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2021-08-04 15:37

manager  

image.png (52,463 bytes)   
image.png (52,463 bytes)   
ollehar

ollehar

2021-08-05 15:00

administrator   ~65852

Does this crash only occur when there's a mismatch between languages?
galads

galads

2021-08-12 11:43

administrator   ~65922

Last edited: 2021-08-12 16:20

I can reproduce. Without debug mode turned on, I am redirected back to the home page.
galads

galads

2021-08-12 12:06

administrator   ~65923

Last edited: 2021-08-12 16:20

After refresh, I get the error notification "The languages of the imported question file must at least include the base language of this survey." The question now is, should it be possible to import a question that is not the same base language as the main survey?
gabrieljenik

gabrieljenik

2021-08-18 20:12

manager   ~66061

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2013
gabrieljenik

gabrieljenik

2021-08-23 08:50

manager   ~66099

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32590

Related Changesets

LimeSurvey: master c3495839

2021-08-23 08:50:03

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17495: Error when importing a question fails (#2013)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17495
mod - application/controllers/QuestionAdministrationController.php Diff File

Issue History

Date Modified Username Field Change
2021-08-04 15:37 gabrieljenik New Issue
2021-08-04 15:37 gabrieljenik File Added: image.png
2021-08-04 15:43 ollehar Priority none => normal
2021-08-05 15:00 ollehar Note Added: 65852
2021-08-05 15:00 ollehar Bug heat 0 => 2
2021-08-12 11:43 galads Note Added: 65922
2021-08-12 11:43 galads Bug heat 2 => 4
2021-08-12 11:43 galads Assigned To => galads
2021-08-12 11:43 galads Status new => confirmed
2021-08-12 12:06 galads Note Added: 65923
2021-08-12 16:20 galads Sync to Zoho Project => |Yes|
2021-08-18 20:12 gabrieljenik Note Added: 66061
2021-08-18 20:12 gabrieljenik Bug heat 4 => 6
2021-08-18 20:13 gabrieljenik Status confirmed => testing
2021-08-23 08:50 gabrieljenik Changeset attached => LimeSurvey master c3495839
2021-08-23 08:50 gabrieljenik Note Added: 66099
2021-08-23 08:50 gabrieljenik Assigned To galads => gabrieljenik
2021-08-23 08:50 gabrieljenik Resolution open => fixed
2021-09-22 13:59 ollehar Status testing => resolved